/*=========================================================================*/
/*                                                                         */
/*                         IBM Confidential                                */
/*        (IBM Confidential-Restricted when combined with                  */
/*        the aggregated source modules for this program.)                 */
/*                                                                         */
/*                        OCO Source Materials                             */
/*                                                                         */
/*   IBM Continuous Speech Series                                          */
/*   (C) Copyright IBM Corporation 1992, 1993                              */
/*                                                                         */
/*=========================================================================*/
/*                                                                         */
/* Program:           IBM Continuous Speech System (ICSS)                  */
/*                                                                         */
/* Component:         Common                                               */
/*                                                                         */
/* Source File Name:  icssapis.h                                           */
/*                                                                         */
/* Description:                                                            */
/* This header file is for use by application programs interfacing         */
/* with the Application Programming Interface of the IBM Continuous        */
/* Speech Series. It includes a series of function prototypes for the      */
/* ICSSAPIS.DLL. This DLL provides a "System" linkage wrapper for the      */
/* distributed GA ICSS for OS/2. It is used with ICSSAPI.H                 */
/*                                                                         */
/* Functions:                                                              */
/*                                                                         */
/* Comments:                                                               */
/*                                                                         */
/* Modification History:                                                   */
/* Level     Date      Programmer  Reason                                  */
/* --------  --------  ----------  --------------------------------------- */
/* 000.000   04/26/94  SLC         Created.                                */
/*                                                                         */
/*=========================================================================*/




/*********************************************************************/
/*                                                                   */
/* This section defines the function prototypes.                     */
/*                                                                   */
/*********************************************************************/


long      ICSSEnd_S(
                                void);


long      ICSSEndConversation_S(
                                void);


long      ICSSGetSpokenWords_S(
                                long         TextBufferLen,
                                char         *TextBuffer,
                                long         *SpokeTooSoon,
                                float        *UtteranceLength,
                                float        *AcquisitionTime,
                                float        *RecognitionTime);


long      ICSSGetValue_S(
                                long         ParameterID,
                                ICSS_PARMTYPE *ParameterValue);


long      ICSSInterruptListenState_S(
                                void);


long      ICSSListen_S(
                                long         ContextHandle,
                                long         SpeechInputSource,
                                char         *SpeechInputFileName);


long      ICSSLoadContext_S(
                                long         *ContextHandle,
                                char         *ContextName,
                                float        InsertionPenalty,
                                float        LanguageWeight,
                                float        GrammarWeight);


long      ICSSPlayback_S(
                                long         SampleRate,
                                char         *AudioOutputFileName);


long      ICSSRemoveContext_S(
                                long         ContextHandle);


long      ICSSSetValue_S(
                                long         ParameterID,
                                ICSS_PARMTYPE ParameterValue);


long      ICSSStart_S(
                                void         *ICSSFuture);


long      ICSSStartConversation_S(
                                char         *ADCName,
                                long         ADCIFNumber,
                                char         *RPSystemName,
                                long         RPLinkType);
